          &dhemail;

&dhfirstname; &dhsurname;
2006
&dhusername;
&dhdate;
&dhucpackage;

&dhsection;

# &dhpackage;

Find the DCOP reference of a KDE service

          &dhpackage;

          -a
          -l
          service
    	  object

## DESCRIPTION

`&dhpackage;` returns a reference to the first instance of the KDE service specified by service. See also dcopstart, which starts a service/application and immediately returns its reference.

## OPTIONS

`-a`

  Print the application id. Without this argument, the application id will be returned in the form DCOPRef(application id,object id).

`-l`

  If the object is not found, run dcopstart and try again.

`--help`

  Show usage information.

## EXAMPLES

### Return reference to a Kate instance

>     KATE=`dcopfind -a 'kate-*'`

## AUTHOR

This manual page was written by &dhusername; <&dhemail;> for the &debian; system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

## SEE ALSO

dcopstart(1), dcop(1)